#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX_LENGTH_FILENAME 255
#define MAX_SUB_LENGTH 1000
#define HOW_LONG_SHOW_SUB 3
#define MAX_ROW 12
#define SEC_IN_HOUR 3600
#define SEC_IN_MIN 60
#define MAX_ITOA 100

char *itoa(int i);

int copy_file(char *input_filename, char *output_filename);

int check_file_format(char *filename);

int move_time(char *input_filename, char *output_filename, int what_direction, int hours_to_move, int minutes_to_move , int seconds_to_move, long from_time, long to_time);

int move_microdvd(char *input_filename,char *output_filename, int what_direction, int hours_to_move, int minutes_to_move , int seconds_to_move, long from_time, long to_time,float frames_in_sec);

int move_subviewer2(char *input_filename, char *output_filename, int what_direction, int hours_to_move, int minutes_to_move , int seconds_to_move, long from_time, long to_time);

int move_subrip(char *input_filename, char *output_filename, int what_direction, int hours_to_move, int minutes_to_move , int seconds_to_move, long from_time, long to_time);

int move_mpsub(char *input_filename, char *output_filename, int what_direction, int hours_to_move, int minutes_to_move , int seconds_to_move, long from_time, long to_time);

int convert_to_iso_8859_1(char *input_filename,char *output_filename);

int convert_to_iso_8859_2(char *input_filename,char *output_filename);

int microdvd_to_time(char *input_filename, char *output_filename,float frames_in_sec);

int time_to_microdvd(char *input_filename, char *output_filename,float frames_in_sec);

int time_to_subviewer2(char *input_filename, char *output_filename);

int time_to_subrip(char *input_filename, char *output_filename);

int subviewer2_to_time(char *input_filename, char *output_filename);

int subviewer2_to_subrip(char *input_filename, char *output_filename);

int subrip_to_time(char *input_filename, char *output_filename);

int subrip_to_subviewer2(char *input_filename, char *output_filename);

int time_to_mpsub(char *input_filename, char *output_filename);

int mpsub_to_time(char *input_filename, char *output_filename);

int merge_time(char *input_filename1,char  *input_filename2,  char *output_filename);

int merge_microdvd(char *input_filename1,char  *input_filename2, char *output_filename,float frames_in_sec);

int merge_subviewer2(char *input_filename1,char  *input_filename2,  char *output_filename);

int merge_subrip(char *input_filename1,char  *input_filename2,  char *output_filename);

int merge_mpsub(char *input_filename1,char  *input_filename2,  char *output_filename);
